cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PES

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PES

- All Implemented Interfaces:
    ISegment

      public class PES
      extends Segment

  PES - Product Experience Sender Segment

  Represents an HL7 PES message segment. This segment has the following fields:

  PES-1: Sender Organization Name (XON)Optional
  PES-2: Sender Individual Name (XCN)Optional
  PES-3: Sender Address (XAD)Optional
  PES-4: Sender Telephone (XTN)Optional
  PES-5: Sender Event Identifier (EI)Optional
  PES-6: Sender Sequence Number (NM)Optional
  PES-7: Sender Event Description (FT)Optional
  PES-8: Sender Comment (FT)Optional
  PES-9: Sender Aware Date/Time (TS)Optional
  PES-10: Event Report Date (TS)Required
  PES-11: Event Report Timing/Type (ID)Optional
  PES-12: Event Report Source (ID)Optional
  PES-13: Event Reported To (ID)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PES()` Constructs the PES segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventReportedTo(ID objEventReportedTo)` Add the Event Reported To.
    `void` | `addEventReportedTo(java.lang.String strEventReportedTo)` Add the Event Reported To.
    `void` | `addEventReportTimingType(ID objeventReportTimingType)` Add the Event Report Timing Type.
    `void` | `addEventReportTimingType(java.lang.String strEventReportTimingType)` Add the Event Report Timing Type.
    `void` | `addSenderAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Sender Address.
    `void` | `addSenderAddress(XAD objSenderAddress)` Add the Sender Address.
    `void` | `addSenderEventDescription(FT objSenderEventDescription)` Add the Sender Event Description.
    `void` | `addSenderEventDescription(java.lang.String strSenderEventDescription)` Add the Sender Event Description.
    `void` | `addSenderIndividualName(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Sender Individual Name.
    `void` | `addSenderIndividualName(XCN objSenderIndividualName)` Add the Sender Individual Name.
    `void` | `addSenderOrganizationName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Add the Sender Organization Name.
    `void` | `addSenderOrganizationName(XON objSenderOrganizationName)` Add the Sender Organization Name.
    `void` | `addSenderTelephone(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Sender Telephone.
    `void` | `addSenderTelephone(XTN objSenderTelephone)` Add the Sender Telephone.
    `DTM` | `getEventReportDate()` Retrieves the Event Report Date.
    `ISingleCollection<ID>` | `getEventReportedTo()` Retrieves the Event Reported To.
    `ID` | `getEventReportSource()` Retrieves the Event Report Source.
    `ISingleCollection<ID>` | `getEventReportTimingType()` Retrieves the Event Report Timing Type.
    `ISingleCollection<XAD>` | `getSenderAddress()` Retrieves the Sender Address.
    `DTM` | `getSenderAwareDateTime()` Retrieves the Sender Aware Date Time.
    `FT` | `getSenderComment()` Retrieves the Sender Comment.
    `ISingleCollection<FT>` | `getSenderEventDescription()` Retrieves the Sender Event Description.
    `EI` | `getSenderEventIdentifier()` Retrieves the Sender Event Identifier.
    `ISingleCollection<XCN>` | `getSenderIndividualName()` Retrieves the Sender Individual Name.
    `ISingleCollection<XON>` | `getSenderOrganizationName()` Retrieves the Sender Organization Name.
    `NM` | `getSenderSequenceNumber()` Retrieves the Sender Sequence Number.
    `ISingleCollection<XTN>` | `getSenderTelephone()` Retrieves the Sender Telephone.
    `void` | `setEventReportDate(DTM objeventReportDate)` Set the Event Report Date.
    `void` | `setEventReportDate(java.lang.String strTime)` Set the Event Report Date.
    `void` | `setEventReportedTo(ISingleCollection<ID> objEventReportedToList)` Set the Event Reported To.
    `void` | `setEventReportSource(ID objeventReportSource)` Set the Event Report Source.
    `void` | `setEventReportSource(java.lang.String strEventReportSource)` Set the Event Report Source.
    `void` | `setEventReportTimingType(ISingleCollection<ID> objeventReportTimingTypeList)` Set the Event Report Timing Type.
    `void` | `setSenderAddress(ISingleCollection<XAD> objSenderAddressList)` Set the Sender Address.
    `void` | `setSenderAwareDateTime(DTM objsenderAwareDateTime)` Set the Sender Aware Date Time.
    `void` | `setSenderAwareDateTime(java.lang.String strTime)` Set the Sender Aware Date Time.
    `void` | `setSenderComment(FT objsenderComment)` Set the Sender Comment.
    `void` | `setSenderComment(java.lang.String strSenderComment)` Set the Sender Comment.
    `void` | `setSenderEventDescription(ISingleCollection<FT> objSenderEventDescriptionList)` Set the Sender Event Description.
    `void` | `setSenderEventIdentifier(EI objsenderEventIdentifier)` Set the Sender Event Identifier.
    `void` | `setSenderEventIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Sender Event Identifier.
    `void` | `setSenderIndividualName(ISingleCollection<XCN> objSenderIndividualNameList)` Set the Sender Individual Name.
    `void` | `setSenderOrganizationName(ISingleCollection<XON> objSenderOrganizationNameList)` Set the Sender Organization Name.
    `void` | `setSenderSequenceNumber(NM objsenderSequenceNumber)` Set the Sender Sequence Number.
    `void` | `setSenderSequenceNumber(java.lang.String strSenderSequenceNumber)` Set the Sender Sequence Number.
    `void` | `setSenderTelephone(ISingleCollection<XTN> objSenderTelephoneList)` Set the Sender Telephone.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PES

          public PES()

      Constructs the PES segment.

  - ### Method Detail

    - #### getEventReportDate

          public DTM getEventReportDate()

      Retrieves the Event Report Date. This field contains the date the message was originally sent to the regulatory agency.
      Returns:
        DTM - eventReportDate

    - #### getEventReportedTo

          public ISingleCollection<ID> getEventReportedTo()

      Retrieves the Event Reported To. This field indicates all the entities to whom the entity submitting the report has reported the event.
      Returns:
        ISingleCollection - eventReportedTo

    - #### getEventReportSource

          public ID getEventReportSource()

      Retrieves the Event Report Source. This field identifies the source from which the sender learned about the event. Multiple sources may be reported by repeating the element.
      Returns:
        ID - eventReportSource

    - #### getEventReportTimingType

          public ISingleCollection<ID> getEventReportTimingType()

      Retrieves the Event Report Timing Type. This field contains the timing type of report as required by regulatory agency.
      Returns:
        ISingleCollection - eventReportTimingType

    - #### getSenderAddress

          public ISingleCollection<XAD> getSenderAddress()

      Retrieves the Sender Address. This field contains the postal address of the message sender to which correspondence regarding the experience being reported should be directed.
      Returns:
        ISingleCollection - senderAddress

    - #### getSenderAwareDateTime

          public DTM getSenderAwareDateTime()

      Retrieves the Sender Aware Date Time. This field identify the date and the sender become aware of the event.
      Returns:
        DTM - senderAwareDateTime

    - #### getSenderComment

          public FT getSenderComment()

      Retrieves the Sender Comment. This field contains the text commentary regarding the report being made, such as disclaimers, which is not necessarily part of the report.
      Returns:
        FT - senderComment

    - #### getSenderEventDescription

          public ISingleCollection<FT> getSenderEventDescription()

      Retrieves the Sender Event Description.
      Returns:
        ISingleCollection - senderEventDescription

    - #### getSenderEventIdentifier

          public EI getSenderEventIdentifier()

      Retrieves the Sender Event Identifier. This field contains the product manufacturer's unique alphanumeric identifier for this specific event.
      Returns:
        EI - senderEventIdentifier

    - #### getSenderIndividualName

          public ISingleCollection<XCN> getSenderIndividualName()

      Retrieves the Sender Individual Name.
      Returns:
        ISingleCollection - senderIndividualName

    - #### getSenderOrganizationName

          public ISingleCollection<XON> getSenderOrganizationName()

      Retrieves the Sender Organization Name.
      Returns:
        ISingleCollection - senderOrganizationName

    - #### getSenderSequenceNumber

          public NM getSenderSequenceNumber()

      Retrieves the Sender Sequence Number. This field contains sequentially assigned integer values which distinguish messages which share the same sender event identification element.
      Returns:
        NM - senderSequenceNumber

    - #### getSenderTelephone

          public ISingleCollection<XTN> getSenderTelephone()

      Retrieves the Sender Telephone. This field contains the telephone number of the message sender to which telephone communications regarding the experience being reported should be directed.
      Returns:
        ISingleCollection - senderTelephone

    - #### setEventReportDate

          public void setEventReportDate(java.lang.String strTime)

      Set the Event Report Date. This field contains the date the message was originally sent to the regulatory agency.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEventReportDate

          public void setEventReportDate(DTM objeventReportDate)

      Set the Event Report Date. This field contains the date the message was originally sent to the regulatory agency.
      Parameters:
        `objeventReportDate` - Object of Event Report Date.

    - #### addEventReportedTo

          public void addEventReportedTo(java.lang.String strEventReportedTo)

      Add the Event Reported To. This field indicates all the entities to whom the entity submitting the report has reported the event.
      Parameters:
        `strEventReportedTo` - This field contains the String Value of Event Reported To

    - #### addEventReportedTo

          public void addEventReportedTo(ID objEventReportedTo)

      Add the Event Reported To. This field indicates all the entities to whom the entity submitting the report has reported the event.
      Parameters:
        `objEventReportedTo` - Object of Event Reported To.

    - #### setEventReportedTo

          public void setEventReportedTo(ISingleCollection<ID> objEventReportedToList)

      Set the Event Reported To. This field indicates all the entities to whom the entity submitting the report has reported the event.
      Parameters:
        `objEventReportedToList` - List of Event Reported To.

    - #### setEventReportSource

          public void setEventReportSource(java.lang.String strEventReportSource)

      Set the Event Report Source. This field identifies the source from which the sender learned about the event. Multiple sources may be reported by repeating the element.
      Parameters:
        `strEventReportSource` - This field contains the String Value of Event Report Source

    - #### setEventReportSource

          public void setEventReportSource(ID objeventReportSource)

      Set the Event Report Source. This field identifies the source from which the sender learned about the event. Multiple sources may be reported by repeating the element.
      Parameters:
        `objeventReportSource` - Object of Event Report Source.

    - #### addEventReportTimingType

          public void addEventReportTimingType(java.lang.String strEventReportTimingType)

      Add the Event Report Timing Type. This field contains the timing type of report as required by regulatory agency.
      Parameters:
        `strEventReportTimingType` - This field contains the String Value of Event Report Timing Type

    - #### addEventReportTimingType

          public void addEventReportTimingType(ID objeventReportTimingType)

      Add the Event Report Timing Type. This field contains the timing type of report as required by regulatory agency.
      Parameters:
        `objeventReportTimingType` - Object of Event Report Timing Type.

    - #### setEventReportTimingType

          public void setEventReportTimingType(ISingleCollection<ID> objeventReportTimingTypeList)

      Set the Event Report Timing Type. This field contains the timing type of report as required by regulatory agency.
      Parameters:
        `objeventReportTimingTypeList` - List of Event Report Timing Type.

    - #### addSenderAddress

          public void addSenderAddress(SAD objStreetAddress,
                              java.lang.String strOtherDesignation,
                              java.lang.String strCity,
                              java.lang.String strStateOrProvince,
                              java.lang.String strZipOrPostalCode,
                              java.lang.String strCountry,
                              java.lang.String strAddressType,
                              java.lang.String strOtherGeographicDesignation,
                              CWE objCountyParishCode,
                              CWE objCensusTract,
                              java.lang.String strAddressRepresentationCode,
                              DTM objEffectiveDate,
                              DTM objExpirationDate,
                              CWE objEXpirationReason,
                              java.lang.String strTemporaryIndicator,
                              java.lang.String strBadAddressIndicator,
                              java.lang.String strAddressUsage,
                              java.lang.String strAddressee,
                              java.lang.String strComment,
                              java.lang.String strPreferenceOrder,
                              CWE objProtectionCode,
                              EI objAddressIdentifier)

      Add the Sender Address. This field contains the postal address of the message sender to which correspondence
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addSenderAddress

          public void addSenderAddress(XAD objSenderAddress)

      Add the Sender Address. This field contains the postal address of the message sender to which correspondence regarding the experience being reported should be directed.
      Parameters:
        `objSenderAddress` - Object of Sender Address.

    - #### setSenderAddress

          public void setSenderAddress(ISingleCollection<XAD> objSenderAddressList)

      Set the Sender Address. This field contains the postal address of the message sender to which correspondence regarding the experience being reported should be directed.
      Parameters:
        `objSenderAddressList` - List of Sender Address.

    - #### setSenderAwareDateTime

          public void setSenderAwareDateTime(java.lang.String strTime)

      Set the Sender Aware Date Time. This field identify the date and the sender become aware of the event.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setSenderAwareDateTime

          public void setSenderAwareDateTime(DTM objsenderAwareDateTime)

      Set the Sender Aware Date Time. This field identify the date and the sender become aware of the event.
      Parameters:
        `objsenderAwareDateTime` - Object of Sender Aware Date Time.

    - #### setSenderComment

          public void setSenderComment(java.lang.String strSenderComment)

      Set the Sender Comment. This field contains the text commentary regarding the report being made, such as disclaimers, which is not necessarily part of the report.
      Parameters:
        `strSenderComment` - This field contains the String Value of Sender Comment

    - #### setSenderComment

          public void setSenderComment(FT objsenderComment)

      Set the Sender Comment. This field contains the text commentary regarding the report being made, such as disclaimers, which is not necessarily part of the report.
      Parameters:
        `objsenderComment` - Object of Sender Comment.

    - #### addSenderEventDescription

          public void addSenderEventDescription(java.lang.String strSenderEventDescription)

      Add the Sender Event Description.
      Parameters:
        `strSenderEventDescription` - This field contains the String Value of Sender Event Description

    - #### addSenderEventDescription

          public void addSenderEventDescription(FT objSenderEventDescription)

      Add the Sender Event Description.
      Parameters:
        `objSenderEventDescription` - Object of Sender Event Description.

    - #### setSenderEventDescription

          public void setSenderEventDescription(ISingleCollection<FT> objSenderEventDescriptionList)

      Set the Sender Event Description.
      Parameters:
        `objSenderEventDescriptionList` - List of Sender Event Description.

    - #### setSenderEventIdentifier

          public void setSenderEventIdentifier(java.lang.String strEntityIdentifier,
                                      java.lang.String strNamespaceId,
                                      java.lang.String strUniversalId,
                                      java.lang.String strUniversalIdType)

      Set the Sender Event Identifier. This field contains the product manufacturer's unique alphanumeric identifier for this specific event.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setSenderEventIdentifier

          public void setSenderEventIdentifier(EI objsenderEventIdentifier)

      Set the Sender Event Identifier. This field contains the product manufacturer's unique alphanumeric identifier for this specific event.
      Parameters:
        `objsenderEventIdentifier` - Object of Sender Event Identifier.

    - #### addSenderIndividualName

          public void addSenderIndividualName(java.lang.String strIDNumber,
                                     FN objFamilyName,
                                     java.lang.String strGivenName,
                                     java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                     java.lang.String strSuffix,
                                     java.lang.String strPrefix,
                                     CWE objSourceTable,
                                     HD objAssigningAuthority,
                                     java.lang.String strNameTypeCode,
                                     java.lang.String strIdentifierCheckDigit,
                                     java.lang.String strCheckDigitScheme,
                                     java.lang.String strIdentifierTypeCode,
                                     HD objAssigningFacility,
                                     java.lang.String strNameRepresentationCode,
                                     CWE objNameContext,
                                     java.lang.String strNameAssemblyOrder,
                                     java.lang.String strEffectiveDate,
                                     java.lang.String strExpirationDate,
                                     java.lang.String strProfessionalSuffix,
                                     CWE objAssigningJurisdiction,
                                     CWE objAssigningAgencyOrDepratment,
                                     java.lang.String strSecurityCheck,
                                     java.lang.String strSecurityCheckScheme)

      Add the Sender Individual Name. This field contains the name of the contact individual.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addSenderIndividualName

          public void addSenderIndividualName(XCN objSenderIndividualName)

      Add the Sender Individual Name. This field contains the name of the contact individual.
      Parameters:
        `objSenderIndividualName` - Object of Sender Individual Name.

    - #### setSenderIndividualName

          public void setSenderIndividualName(ISingleCollection<XCN> objSenderIndividualNameList)

      Set the Sender Individual Name. This field contains the name of the contact individual.
      Parameters:
        `objSenderIndividualNameList` - List of Sender Individual Name.

    - #### addSenderOrganizationName

          public void addSenderOrganizationName(java.lang.String strOrganizationName,
                                       CWE objOrganizationNameTypeCode,
                                       HD objAssigningAuthority,
                                       java.lang.String strIdentifierTypeCode,
                                       HD objAssigningFacility,
                                       java.lang.String strNameRepresentationCode,
                                       java.lang.String strOrganizationIdentifier)

      Add the Sender Organization Name. This field contains the name of the organization sending the message.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addSenderOrganizationName

          public void addSenderOrganizationName(XON objSenderOrganizationName)

      Add the Sender Organization Name. This field contains the name of the organization sending the message.
      Parameters:
        `objSenderOrganizationName` - Object of Sender Organization Name.

    - #### setSenderOrganizationName

          public void setSenderOrganizationName(ISingleCollection<XON> objSenderOrganizationNameList)

      Set the Sender Organization Name.
      Parameters:
        `objSenderOrganizationNameList` - List of Sender Organization Name.

    - #### setSenderSequenceNumber

          public void setSenderSequenceNumber(java.lang.String strSenderSequenceNumber)

      Set the Sender Sequence Number. This field contains sequentially assigned integer values which distinguish messages which share the same sender event identification element.
      Parameters:
        `strSenderSequenceNumber` - This field contains the String Value of Sender Sequence Number

    - #### setSenderSequenceNumber

          public void setSenderSequenceNumber(NM objsenderSequenceNumber)

      Set the Sender Sequence Number. This field contains sequentially assigned integer values which distinguish messages which share the same sender event identification element.
      Parameters:
        `objsenderSequenceNumber` - Object of Sender Sequence Number.

    - #### addSenderTelephone

          public void addSenderTelephone(java.lang.String strTeleCommunicationUseCode,
                                java.lang.String strTeleCommunicationEquipmentType,
                                java.lang.String strCommuinicationAddress,
                                java.lang.String strCountryCode,
                                java.lang.String strAreaCityCode,
                                java.lang.String strLocalNumber,
                                java.lang.String strExtension,
                                java.lang.String strAnyText,
                                java.lang.String strExtensionPrefix,
                                java.lang.String strSpeedDialCode,
                                java.lang.String strUnformattedTelephoneNumber,
                                java.lang.String strEffectiveStartDate,
                                java.lang.String strExpirationDate,
                                CWE objExpirationReason,
                                CWE objProtectionCode,
                                EI objSharedTelecommunicationIdentifier,
                                java.lang.String strPreferenceOrder)

      Add the Sender Telephone. This field contains the telephone number of the message sender to which telephone communications regarding the experience being reported should be directed.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addSenderTelephone

          public void addSenderTelephone(XTN objSenderTelephone)

      Add the Sender Telephone. This field contains the telephone number of the message sender to which telephone communications regarding the experience being reported should be directed.
      Parameters:
        `objSenderTelephone` - Object of Sender Telephone.

    - #### setSenderTelephone

          public void setSenderTelephone(ISingleCollection<XTN> objSenderTelephoneList)

      Set the Sender Telephone. This field contains the telephone number of the message sender to which telephone communications regarding the experience being reported should be directed.
      Parameters:
        `objSenderTelephoneList` - List of Sender Telephone.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.